/// Get Installed Related Apps API
///
/// https://wicg.github.io/get-installed-related-apps/spec/
@JS('window')
@staticInterop
library get_installed_related_apps;

import 'dart:js_util' as js_util;
import 'package:js/js.dart';

import 'callbacks.dart';
import '../manual.dart';
import 'all_bindings.dart';
/* deps: html */

@anonymous
@JS()
@staticInterop
class RelatedApplication {
  external factory RelatedApplication(
      {String platform, String url, String id, String version});
}

extension PropsRelatedApplication on RelatedApplication {
  String get platform => js_util.getProperty(this, 'platform');
  set platform(String newValue) {
    js_util.setProperty(this, 'platform', newValue);
  }

  String get url => js_util.getProperty(this, 'url');
  set url(String newValue) {
    js_util.setProperty(this, 'url', newValue);
  }

  String get id => js_util.getProperty(this, 'id');
  set id(String newValue) {
    js_util.setProperty(this, 'id', newValue);
  }

  String get version => js_util.getProperty(this, 'version');
  set version(String newValue) {
    js_util.setProperty(this, 'version', newValue);
  }
}
